[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# TDuplicates

Enumeration type, indicating what to do with duplicates in a list.

## Declaration

Source position: types.pp line 124

`type TDuplicates = (`
`dupIgnore,` |  | Ignore the new item, do not add it to the list.
`dupAccept,` |  | Accept duplicates, adding them to the list.
`dupError` |  | Raise an error when an attempt is made to add a duplicate.
`);`

## Description

TDuplicates can be used to indicate how a list structure acts on the addition of a duplicate item to the list.

dupIgnore
  Ignore the new item, do not add it to the list.
dupAccept
  Accept duplicates, adding them to the list.
dupError
  Raise an error when an attempt is made to add a duplicate.

Documentation generated on: Feb 26 2014